Mailinglist Archive: opensuse-updates (111 mails)

< Previous Next >
openSUSE-SU-2018:0400-1: moderate: Security update for mariadb
openSUSE Security Update: Security update for mariadb
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0400-1
Rating: moderate
References: #1058722 #1064101 #1064115 #1076505
Cross-References: CVE-2017-10268 CVE-2017-10378
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that solves two vulnerabilities and has two fixes
is now available.

Description:

This update for mariadb to version 10.0.33 fixes several issues.

These security issues were fixed:

- CVE-2017-10378: Vulnerability in subcomponent: Server: Optimizer. Easily
exploitable vulnerability allowed low privileged attacker with network
access via multiple protocols to compromise MySQL Server. Successful
attacks of this vulnerability can result in unauthorized ability to
cause a hang or frequently repeatable crash (complete DOS) of MySQL
Server (bsc#1064115).
- CVE-2017-10268: Vulnerability in subcomponent: Server: Replication.
Difficult to exploit vulnerability allowed high privileged attacker with
logon to the infrastructure where MySQL Server executes to compromise
MySQL Server. Successful attacks of this vulnerability can result in
unauthorized access to critical data or complete access to all MySQL
Server accessible data (bsc#1064101).

These non-security issues were fixed:

- CHECK TABLE no longer returns an error when run on a CONNECT table
- 'Undo log record is too big.' error occurring in very narrow range of
string lengths
- Race condition between INFORMATION_SCHEMA.INNODB_SYS_TABLESTATS and
ALTER/DROP/TRUNCATE TABLE
- Wrong result after altering a partitioned table fixed bugs in InnoDB
FULLTEXT INDEX
- InnoDB FTS duplicate key error
- InnoDB crash after failed ADD INDEX and table_definition_cache eviction
- fts_create_doc_id() unnecessarily allocates 8 bytes for every inserted
row
- IMPORT TABLESPACE may corrupt ROW_FORMAT=REDUNDANT tables

For additional details please see
https://kb.askmonty.org/en/mariadb-10033-changelog

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-146=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libmysqlclient-devel-10.0.33-29.1
libmysqlclient18-10.0.33-29.1
libmysqlclient18-debuginfo-10.0.33-29.1
libmysqlclient_r18-10.0.33-29.1
libmysqld-devel-10.0.33-29.1
libmysqld18-10.0.33-29.1
libmysqld18-debuginfo-10.0.33-29.1
mariadb-10.0.33-29.1
mariadb-bench-10.0.33-29.1
mariadb-bench-debuginfo-10.0.33-29.1
mariadb-client-10.0.33-29.1
mariadb-client-debuginfo-10.0.33-29.1
mariadb-debuginfo-10.0.33-29.1
mariadb-debugsource-10.0.33-29.1
mariadb-errormessages-10.0.33-29.1
mariadb-test-10.0.33-29.1
mariadb-test-debuginfo-10.0.33-29.1
mariadb-tools-10.0.33-29.1
mariadb-tools-debuginfo-10.0.33-29.1

- openSUSE Leap 42.3 (x86_64):

libmysqlclient18-32bit-10.0.33-29.1
libmysqlclient18-debuginfo-32bit-10.0.33-29.1
libmysqlclient_r18-32bit-10.0.33-29.1


References:

https://www.suse.com/security/cve/CVE-2017-10268.html
https://www.suse.com/security/cve/CVE-2017-10378.html
https://bugzilla.suse.com/1058722
https://bugzilla.suse.com/1064101
https://bugzilla.suse.com/1064115
https://bugzilla.suse.com/1076505


< Previous Next >
This Thread
  • No further messages